% In this file I make up patterns for scaling
% functions at various scales. These patterns can
% then be stored into a file for later use.


  N = 2^14;

  M = 10;
  J = log2(N);
  L = J-M;
  qmf = sqrt(2)*coifwavf('coif2');
  wname = ['c2'];
  Kvec = [4:8];
  gamma = 1;


  for k = Kvec
    phi = makephi(qmf,k-1);
    philen = length(phi);
    [m,mi] = max(abs(phi));

    sig = zeros(N,1);
  
    span = (N/2-mi) + (1:philen);
    sig(span) = phi(:);
    [m,mi] = max(abs(sig));


    sti = fwt_ti(sig,L,qmf);

    dstat = compute_dstat(sti,gamma);
    [m,mi ] = max(dstat)
    pattern = dstat_pattern(sti,mi,gamma,0,20);
    base_E_k = sum(pattern(:,3).^2 .* 2.^(-gamma*pattern(:,1)))
   ratio =  base_E_k/m*100

    eval([wname,'_',num2str(k), ' = pattern;']);
  end
