% Make a plot showing the transient signal models used.
%
% uses: coifwavf, makephi, makegauss, make2exp
	clf; hold off;

	qmf = sqrt(2)*coifwavf('coif2');
	phi = makephi(qmf,6);
        phi = phi(:);
	gauss = makegauss(phi);
	exp2 = make2exp(phi);
        [m,mi] = max(phi);
        N = length(phi);
        offset = N/2-mi;
        %circular shift to shift peak, 
        % doesn't really matter at vertical scales shown.
        phi = [phi((N-offset+1):N);phi(1:(N-offset))];

	height = max(phi)-min(phi);
        phi = phi + 2*height;
        gauss = gauss ;
        exp2 = exp2 - 2*height;

	tvec = (1:N)-N/2;
	plot(tvec,[phi gauss(:) exp2(:)])

	set(gca,'Fontsize',14,'FontName','Times');
	set(gca,'Xlim',[-500 500]);
        

        


